%define srcname amqp

Name:           python-%{srcname}
Version:        1.3.1
Release:        %mkrel 1
Summary:        Low-level AMQP client for Python (fork of amqplib)

Group:          Development/Python
License:        LGPLv2+
URL:            http://pypi.python.org/pypi/amqp
Source0:        http://pypi.python.org/packages/source/a/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-nose

%description
Low-level AMQP client for Python

This is a fork of amqplib, maintained by the Celery project.

This library should be API compatible with librabbitmq.

%package -n python3-%{srcname}
Summary:        Client library for AMQP
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-nose

%description -n python3-%{srcname}
Low-level AMQP client for Python

This is a fork of amqplib, maintained by the Celery project.

This library should be API compatible with librabbitmq.

%prep
%setup -q -n %{srcname}-%{version}
cp -a . %{py3dir}

%build
%{__python} setup.py build
pushd %{py3dir}
%{__python3} setup.py build
popd

%install
%{__python} setup.py install --skip-build --root %{buildroot}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd

%files
%doc Changelog LICENSE README.rst
%{python_sitelib}/%{srcname}/
%{python_sitelib}/%{srcname}*.egg-info

%files -n python3-%{srcname}
%doc Changelog LICENSE README.rst
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}*.egg-info

%package doc
Summary:        Documentation for python-amqp
Group:          Documentation
License:        LGPLv2+

%description doc
Documentation for python-amqp

%files doc
%doc LICENSE demo/


%changelog
* Mon Oct 28 2013 pterjan <pterjan> 1.3.1-1.mga4
+ Revision: 547761
- 1.3.1

* Tue Oct 22 2013 umeabot <umeabot> 1.3.0-3.mga4
+ Revision: 542918
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.3.0-2.mga4
+ Revision: 498095
- Rebuild to add different pythonegg provides for python 2 and 3

* Thu Oct 10 2013 pterjan <pterjan> 1.3.0-1.mga4
+ Revision: 494361
- 1.3.0

* Sun Oct 06 2013 pterjan <pterjan> 1.2.1-1.mga4
+ Revision: 492045
- 1.2.1

* Thu Sep 05 2013 pterjan <pterjan> 1.0.12-1.mga4
+ Revision: 475324
- 1.0.12

* Sun Aug 18 2013 pterjan <pterjan> 1.0.11-1.mga4
+ Revision: 467391
- Mageiaize + simplify
- imported package python-amqp


* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jun 21 2013 Eric Harney <eharney@redhat.com> - 1.0.11-1
- Initial package
